- entityDefinitions:
  - IDC_CustomReportDefinition: '{f9d14e7b-d48e-4d1b-9924-5a27e3ce40dd}'

  - IDI_DataSource_AllClasses: '{5c52dcd3-8ece-4390-addb-e0395cff0c94}'
  
  - IDI_ReportObject_Class: '{eae859fb-af47-4dcc-b5fd-26ab1ce5cbb0}'
  - IDI_ReportField_Class_Class: '{57e84723-4e50-4fef-a0e8-e22d47dbf8c2}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_CustomReportDefinition;'
    name: Custom Report Definition
    index: 1422
    moduleId: '&IDI_Module_MochaBaseSystem_Reporting;'
    customTagName: 'customReport'
    subclassses:
    - instance: '&IDC_ReportDefinition;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Report_Definition__has__Report_Column;'
      customTagName: 'columns'
      customTagNameCreatesInstanceOf: '&IDC_ReportColumn;'
    - instance: '&IDR_Report_Definition__uses__Data_Source;'
      customTagName: 'dataSourceId'
    defaultTask: '&IDI_Task_CustomReportDefinition_View;'
    relatedTasks:
    - instance: '&IDI_Task_CustomReportDefinition_View;'
    - instance: '&IDI_Task_CustomReportDefinition_Edit;'

  - class: '&IDC_ReportObject;'
    name: 'Report Object'
    customTagName: 'reportObject'
    index: 
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'

  - reportObject: '&IDI_ReportObject_Class;'
    name: 'Class'

  - reportField: '&IDI_ReportField_Class_Class;'
    name: 'Class'
